local string, type, tostring, pairs, table = string, type, tostring, pairs, table

module('nsg')

function shellEnquote (s)
   s =("%q"):format(tostring(s) or ''):gsub("\\\n", "\n")
   return s
end

function urlDecode (s)
   s = string.gsub(s, "+", " ")
   s = string.gsub(s, "%%(%x%x)",
                   function (h)
                      return string.char(tonumber(h, 16))
                   end)
   return s
end

function urlEncode (s)
   return s:gsub("([&=+%c%z\127-\255])",
                   function (c)
                      return ("%%%02X"):format(c:byte())
                   end ):gsub(' ', '+')
end